----------------------------------------------------------------------------------
--  npcGToTRP3
--  A lot of licenses only to transfer one string between two addons
-- -------------------------------------------------------------------------------
--  Copyright (C) 2016  Robert J.I. Hardy (Awyzuu)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program.  If not, see http://www.gnu.org/licenses.
----------------------------------------------------------------------------------

----------------------------------------------------------------------------------
--  npcGenerator 
--  generating npcs since 2016 instead of 2015
-- -------------------------------------------------------------------------------
--  Copyright (C) 2016  Robert J.I. Hardy (Awyzuu)
--  Copyright (C) 2016  Anya Flott-Nielsen (Acatiera)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program.  If not, see http://www.gnu.org/licenses.
----------------------------------------------------------------------------------

----------------------------------------------------------------------------------
-- Total RP 3
-- Dashboard
--	---------------------------------------------------------------------------
--	Copyright 2014 Sylvain Cossement (telkostrasz@telkostrasz.be)
--	Copyright 2014 Renaud Parize (Ellypse) (ellypse@totalrp3.info)
--
--	Licensed under the Apache License, Version 2.0 (the "License");
--	you may not use this file except in compliance with the License.
--	You may obtain a copy of the License at
--
--		http://www.apache.org/licenses/LICENSE-2.0
--
--	Unless required by applicable law or agreed to in writing, software
--	distributed under the License is distributed on an "AS IS" BASIS,
--	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
--	See the License for the specific language governing permissions and
--	limitations under the License.
---------------------------------------------------------------------------------


local output    = TRP3_NPCTalk.name
local frame     = npcGenerator_NPC_Frame
local npcSpeech = TRP3_NPCTalk
local input     = frame.Name.EditBox

function printToNPCSpeech()
  TRP3_API.r.showNPCTalkFrame()
  --npcSpeech:Show()
	output:SetText(input:GetText())
end

function onLoad()
  npcGToTRP3_button = CreateFrame("Button", "npcGToTRP_button", frame)
  local button = npcGToTRP3_button
  button:SetNormalTexture("Interface\\GossipFrame\\GossipGossipIcon")
  button:SetHighlightTexture("Interface\\FriendsFrame\\BroadcastIcon")
  button:SetPushedTexture("Interface\\GossipFrame\\GossipGossipIcon")
  button:SetPoint("RIGHT", frame.BottomBar.GenerateButton, "LEFT", -5, 0)
  button:SetSize("20", "20")
  button:RegisterForClicks("LeftButtonDown")
  --button:SetScript("OnClick", function(...) print("Dickbutt") end)
  button:SetScript("OnClick", printToNPCSpeech)
end

onLoad()

